| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CSTAApplicationOperationalData Struct Reference
CSTA Application

CSTA Application Operational Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | ApplicationID
| The Application ID. More...
xsd__string | EnterpriseID
| Telefonica Enterprise Identification prefixed to subscriber deviceIDs presented to Telefonica application. More...
xsd__string | PASCODE
| Telefonica prefixes this code to the routedSelected parameter when routing to the mobile network VPN. More...
xsd__string | OutsideAccess
| Telefonica outside access code for external number conversion. More...
xsd__string | BGName
| Used to convert subscriber extension to fully qualified number via new mapping function. More...
xsd__string | NPName
| Used to convert subscriber extension to fully qualified number via new mapping function. More...

## Detailed Description

CSTA Application Operational Data.

## Member Data Documentation

## ◆ ApplicationID

xsd__string unsp__CSTAApplicationOperationalData::ApplicationID

The Application ID.

If this field is not provided then it corresponds to the ApplicationName of the Identity section.
required: false
default value[range]: NA [1..64]

## ◆ BGName

xsd__string unsp__CSTAApplicationOperationalData::BGName

Used to convert subscriber extension to fully qualified number via new mapping function.

required: false

See also
  unsp__BGName

## ◆ EnterpriseID

xsd__string unsp__CSTAApplicationOperationalData::EnterpriseID

Telefonica Enterprise Identification prefixed to subscriber deviceIDs presented to Telefonica application.

required: false
default value[range]: 000000[6..8]

## ◆ NPName

xsd__string unsp__CSTAApplicationOperationalData::NPName

Used to convert subscriber extension to fully qualified number via new mapping function.

required: false
default value[range]: NA [1..30]

## ◆ OutsideAccess

xsd__string unsp__CSTAApplicationOperationalData::OutsideAccess

Telefonica outside access code for external number conversion.

required: false
default value[range]: NA [1..30]

## ◆ PASCODE

xsd__string unsp__CSTAApplicationOperationalData::PASCODE

Telefonica prefixes this code to the routedSelected parameter when routing to the mobile network VPN.

CRS uses this parameter to determine when to invoke Route End with RouteEndReason = endCstaDistribution.
required: false
default value[range]: 000000 [1..8]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h